using System;

internal sealed class Delegate303 : MulticastDelegate
{
	public extern string Invoke(string string_0, string string_1, string string_2, string string_3);

	public static string smethod_0(string string_0, string string_1, string string_2, string string_3, Delegate303 delegate303_1)
	{
		return delegate303_1(string_0, string_1, string_2, string_3);
	}

	public extern Delegate303(object object_0, IntPtr intptr_0);

	static Delegate303()
	{
		Class10.smethod_13(typeof(Delegate303).TypeHandle);
	}

	internal static Delegate303 delegate303_0;
}
